.\"	$NetBSD: nohup.1,v 1.12 2003/08/07 11:15:24 agc Exp $
.\"
.\" Copyright (c) 1989, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Institute of Electrical and Electronics Engineers, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)nohup.1	8.1 (Berkeley) 6/6/93
.\"
.Dd July 15, 2005
.Dt NOHUP 1
.Os
.Sh NAME
.Nm nohup
.Nd invoke a command immune to hangups
.Sh SYNOPSIS
.Nm
.Ar utility
.Op Ar arg ...
.Sh DESCRIPTION
The
.Nm
command allows the specified utility to be protected from termination
if the user should become logged out
(for example, due to a modem line or TCP/IP connection being dropped).
To do this,
.Nm
sets the
.Dv SIGHUP
.Xr signal 3
.Pq Dq terminal line hangup
to be ignored,
then executes
.Ar utility
along with any arguments.
.Pp
If the standard output is a terminal, the standard output is
appended to the file
.Pa nohup.out
in the current directory.
If standard error is a terminal, it is directed to the same place
as the standard output.
If the output file
.Pa nohup.out
cannot be created in the current directory,
.Nm
attempts to create the file in the user's home directory.
If the file
.Pa nohup.out
cannot be created,
either in the current directory or the user's home directory,
.Nm
will exit without invoking
.Ar utility ,
with an exit value as described below.
.Sh EXIT STATUS
The
.Nm
utility exits with one of the following values:
.Bl -tag -width Ds
.It 126
The
.Ar utility
was found but could not be invoked.
.It 127
The
.Ar utility
could not be found or an error occurred in
.Nm .
.El
.Pp
Otherwise, the exit status of
.Nm
will be that of
.Ar utility .
.Sh ENVIRONMENT
The following variable is used by
.Nm .
.Bl -tag -width flag
.It Ev HOME
User's home directory.
.El
.Sh SEE ALSO
.Xr signal 3
.Sh STANDARDS
The
.Nm
command is expected to be
.St -p1003.2
compatible.
